org.apache.cxf.endpoint

## Class EndpointImpl

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.concurrent.ConcurrentHashMap<String,Object>
    - - org.apache.cxf.interceptor.AbstractAttributedInterceptorProvider
      - - org.apache.cxf.endpoint.EndpointImpl

- All Implemented Interfaces:
    Serializable, ConcurrentMap<String,Object>, Map<String,Object>, Configurable, Endpoint, InterceptorProvider

      public class EndpointImpl
      extends AbstractAttributedInterceptorProvider
      implements Endpoint, Configurable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.concurrent.ConcurrentHashMap

      `ConcurrentHashMap.KeySetView<K,V>`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EndpointImpl(Bus bus, Service s, EndpointInfo ei)`
    `EndpointImpl(Bus bus, Service s, QName endpointName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCleanupHook(Closeable c)` Add a hook that will be called when this end point being terminated.
    `boolean` | `equals(Object obj)`
    `List<Feature>` | `getActiveFeatures()`
    `String` | `getBeanName()` Get the configurable object's Bean name
    `Binding` | `getBinding()`
    `Bus` | `getBus()`
    `List<Closeable>` | `getCleanupHooks()`
    `EndpointInfo` | `getEndpointInfo()`
    `Executor` | `getExecutor()`
    `MessageObserver` | `getInFaultObserver()`
    `MessageObserver` | `getOutFaultObserver()`
    `Service` | `getService()`
    `int` | `hashCode()` Returns the hashCode based on the EndpointInfo so that this object can be used as a map key.
    `void` | `initializeActiveFeatures(List<? extends Feature> features)`
    `void` | `setBus(Bus bus)`
    `void` | `setExecutor(Executor e)`
    `void` | `setInFaultObserver(MessageObserver observer)`
    `void` | `setOutFaultObserver(MessageObserver observer)`
    `void` | `setProperties(Map<String,Object> properties)` Utility method to make it easy to set properties from Spring.

    - ### Methods inherited from class org.apache.cxf.interceptor.AbstractAttributedInterceptorProvider

      `getInFaultInterceptors, getInInterceptors, getOutFaultInterceptors, getOutInterceptors, put, setInFaultInterceptors, setInInterceptors, setOutFaultInterceptors, setOutInterceptors`

    - ### Methods inherited from class java.util.concurrent.ConcurrentHashMap

      `clear, compute, computeIfAbsent, computeIfPresent, contains, containsKey, containsValue, elements, entrySet, forEach, forEach, forEach, forEachEntry, forEachEntry, forEachKey, forEachKey, forEachValue, forEachValue, get, getOrDefault, isEmpty, keys, keySet, keySet, mappingCount, merge, newKeySet, newKeySet, putAll, putIfAbsent, reduce, reduceEntries, reduceEntries, reduceEntriesToDouble, reduceEntriesToInt, reduceEntriesToLong, reduceKeys, reduceKeys, reduceKeysToDouble, reduceKeysToInt, reduceKeysToLong, reduceToDouble, reduceToInt, reduceToLong, reduceValues, reduceValues, reduceValuesToDouble, reduceValuesToInt, reduceValuesToLong, remove, remove, replace, replace, replaceAll, search, searchEntries, searchKeys, searchValues, size, toString, values`

    - ### Methods inherited from class java.util.AbstractMap

      `clone`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from interface org.apache.cxf.interceptor.InterceptorProvider

      `getInFaultInterceptors, getInInterceptors, getOutFaultInterceptors, getOutInterceptors`

- - ### Constructor Detail

    - #### EndpointImpl

          public EndpointImpl(Bus bus,
                              Service s,
                              QName endpointName)
                       throws EndpointException

      Throws:
        `EndpointException`

    - #### EndpointImpl

          public EndpointImpl(Bus bus,
                              Service s,
                              EndpointInfo ei)
                       throws EndpointException

      Throws:
        `EndpointException`

  - ### Method Detail

    - #### getBeanName

          public String getBeanName()

      Description copied from interface: `Configurable`
      Get the configurable object's Bean name
      Specified by:
        `getBeanName` in interface `Configurable`
      Returns:
        the bean name

    - #### getEndpointInfo

          public EndpointInfo getEndpointInfo()

      Specified by:
        `getEndpointInfo` in interface `Endpoint`

    - #### getService

          public Service getService()

      Specified by:
        `getService` in interface `Endpoint`

    - #### getBinding

          public Binding getBinding()

      Specified by:
        `getBinding` in interface `Endpoint`

    - #### getExecutor

          public Executor getExecutor()

      Specified by:
        `getExecutor` in interface `Endpoint`

    - #### setExecutor

          public void setExecutor(Executor e)

      Specified by:
        `setExecutor` in interface `Endpoint`

    - #### getBus

          public Bus getBus()

    - #### setBus

          public void setBus(Bus bus)

    - #### getInFaultObserver

          public MessageObserver getInFaultObserver()

      Specified by:
        `getInFaultObserver` in interface `Endpoint`

    - #### getOutFaultObserver

          public MessageObserver getOutFaultObserver()

      Specified by:
        `getOutFaultObserver` in interface `Endpoint`

    - #### setInFaultObserver

          public void setInFaultObserver(MessageObserver observer)

      Specified by:
        `setInFaultObserver` in interface `Endpoint`

    - #### setOutFaultObserver

          public void setOutFaultObserver(MessageObserver observer)

      Specified by:
        `setOutFaultObserver` in interface `Endpoint`

    - #### setProperties

          public void setProperties(Map<String,Object> properties)

      Utility method to make it easy to set properties from Spring.
      Parameters:
        `properties` -

    - #### getActiveFeatures

          public List<Feature> getActiveFeatures()

      Specified by:
        `getActiveFeatures` in interface `Endpoint`
      Returns:
        the list of features already activated for this endpoint.

    - #### initializeActiveFeatures

          public void initializeActiveFeatures(List<? extends Feature> features)

      Parameters:
        `features` - the list of features already activated for this endpoint.

    - #### equals

          public boolean equals(Object obj)

      Specified by:
        `equals` in interface `Map<String,Object>`
      Overrides:
        `equals` in class `AbstractAttributedInterceptorProvider`

    - #### hashCode

          public int hashCode()

      Returns the hashCode based on the EndpointInfo so that this object can be used as a map key.
      Specified by:
        `hashCode` in interface `Map<String,Object>`
      Overrides:
        `hashCode` in class `AbstractAttributedInterceptorProvider`

    - #### addCleanupHook

          public void addCleanupHook(Closeable c)

      Description copied from interface: `Endpoint`
      Add a hook that will be called when this end point being terminated. This will be called prior to the Server/ClientLifecycleListener.*Destroyed() method is called. This provides an opportunity to cleanup any resources that are specific to this Endpoint.
      Specified by:
        `addCleanupHook` in interface `Endpoint`

    - #### getCleanupHooks

          public List<Closeable> getCleanupHooks()

      Specified by:
        `getCleanupHooks` in interface `Endpoint`

Apache CXF